package com.engine.organization.mapper.personnelcard;

import com.engine.organization.entity.personnelcard.po.CardAccessPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;

/**
 * @Author weaver_cl
 * @Description:
 * @Date 2022/10/24
 * @Version V1.0
 **/
public interface CardAccessMapper {

    int insertIgnoreNull(CardAccessPO cardAccessPO);

    int saveCardAccess(@Param("dataList") List<CardAccessPO> dataList);

    int deleteByIds(@Param("ids") Collection<Long> ids);

    CardAccessPO selectById(@Param("id") Integer id);

    int updateTabName(@Param("name")String name,@Param("id") Integer id);
}
